/**
 * 帐户参数配置
 *
 * 用户登录之后在开发者控制台【首页】寻找以下配置参数：
 * $accountSid: 帐号ID，对应开发者帐号下的 ACCOUNT SID
 * $authToken: 授权令牌，对应开发者帐号下的 AUTH TOKEN
 * $appId: 应用ID，对应开发者控制台【应用】中的某个APP ID
 */
const accountSid = '200f67c6b14240ffb1f1f**********';
const authToken  = 'e44e65e917b24aca96337**********';
const appId 	 = 'e8acc5267b0e4660914f0**********';


/**
 * 语音接口调用说明
 *
 * 假设您想给手机号159xxxx1234发送一条语音信息，
 * 您打算使用的模板ID为1，对应模板内容为："您的验证码是：{1}"
 * 给这个模板传入的参数为123456，则调用方式为：
 * sendVoice("159xxxx1234", "1", ['123456']);
 * 最终收到的语音电话内容为："您的验证码是：123456"
 */
var send_data = {
    'to': '159xxxx1234',  	// 接收手机号码
    'appId': appId,		  	// 应用ID，对应开发者控制台【应用名】中的某个APP
    'templateId': '3',	  	// 语音模板ID，在开发者控制台【模板】中得到
    'datas': ['123456'] 	// 模板替换参数，类似['5678','3']， 如果没有参数需写成[]
};


// 创建SDK实例
const VoiceClient = require('./VoiceSDK')
let voiceClient = new VoiceClient({accountSid, authToken})

//发送语音
voiceClient.sendVoice(send_data, sendCallback);

// 返回结果处理
function sendCallback(str){
    var obj = JSON.parse(str);
    if (obj.hasOwnProperty('code') && obj.code === 'DH:0000') {
        console.log("语音提交成功，返回结果为：\n" + str);

        //TODO 成功处理

    } else {
        console.log("语音提交失败，返回结果为：\n" + str);

        //TODO 错误处理

    }
}